Skip to content

API Documentation

Derek Nungesser edited this page Feb 2, 2021 · 4 revisions

ScriptMe utilizes RESTful API.

API routes are not user-facing and should only be used by developers.


Save a Document

Save a single document of the specified id

POST /api/documents/:id

Path Parameters

Parameter Type Description Notes
id ID id of the document to save required

Get a Document

Retrieves a single document of the specified id

GET /api/documents/:id/

fetch(/api/documents/:id/)

Path Parameters

Parameter Type Description Notes
id ID id of the document required

Returns

Returns an object containing the document's information


Delete a Document

Deletes a single document of the specified id

DELETE /api/documents/:id

Path Parameters

Parameter Type Description Notes
id ID id of the document to delete required

Create a Project

Create a project of the specified id

POST /api/projects/:id

Path Parameters

Parameter Type Description Notes
id ID id of the project to create required

Open a Project

Retrieves all documents of the specified project id

GET /api/projects/:id

fetch(/api/documents)

Path Parameters

Parameter Type Description Notes
id ID id of the project required

Returns

Returns an array of containing the objects of documents within the specific project folder


Delete a Project

Deletes a single project of the specified id

DELETE /api/projects/:id

Path Parameters

Parameter Type Description Notes
id ID id of the project to delete required

Save a Character

Save a single character of the specified id

POST /api/characters/:id

Path Parameters

Parameter Type Description Notes
id ID id of the character to save required

Get Characters

Retrieves all characters

GET /api/characters

fetch(/api/characters)

Path Parameters

Parameter Type Description Notes
id ID id of the character required

Returns

Returns an array containing the objects of the characters' information


Delete a Character

Deletes a single character of the specified id

DELETE /api/characters/:id

Path Parameters

Parameter Type Description Notes
id ID id of the character to delete required